#ifdef GL_ES
precision lowp float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
varying vec2 v_texCoordRefraction;

uniform sampler2D u_refraction;
uniform float u_intensity;

void main()
{
    // Refracción
    vec4 refractionColor = texture2D(u_refraction,v_texCoordRefraction);
    vec2 dispTexOffset = vec2(0.0, (refractionColor.r - 0.49) * u_intensity);
    vec2 dispTexCoord = v_texCoord + dispTexOffset;
    vec4 texColor = texture2D(CC_Texture0, dispTexCoord);
    
    gl_FragColor = v_fragmentColor*texColor;
}