#ifdef GL_ES
precision lowp float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
uniform float u_time;

float rand(vec2 coord)
{
    return fract(sin(dot(coord.xy, vec2(12.9898, 78.233))) * 43758.5453);
}

void main()
{
    vec2 center = vec2(0.5, 0.5);
    vec2 uv = v_texCoord;
    vec4 texColor = texture2D(CC_Texture0, uv) * v_fragmentColor;
    vec2 diff = center - uv;
    const float MAX_DIFF = 0.7172;
    float centerDistance = sqrt(diff.x * diff.x + diff.y * diff.y);
    
    float threshold = u_time * 2.0 * MAX_DIFF - MAX_DIFF;
    float mult = clamp(ceil(threshold + rand(uv) - centerDistance), 0.0, 1.0);
    
    gl_FragColor = texColor * mult;
}
